Name:           perl-PDF-API2-XS
Version:        1.002
Release:        2%{?dist}
Summary:        Optional PDF::API2 add-on using XS to speed up expensive operations
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/PDF-API2-XS
Source0:        https://cpan.metacpan.org/authors/id/S/SS/SSIMMS/PDF-API2-XS-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.10.0
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Exporter)
BuildRequires:  perl(XSLoader)
# Tests
BuildRequires:  perl(PDF::API2)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
PDF::API2 will make use of this distribution, if it's installed, to speed
up some operations that are significantly faster in C than in Perl.

%prep
%setup -q -n PDF-API2-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
unset AUTHOR_TESTING
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/PDF*
%{_mandir}/man3/*

%changelog
* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.002-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.002-1
- 1.002 bump

* Tue Sep 01 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.001-2
- Updated due to review

* Tue Sep 01 2020 Jitka Plesnikova <jplesnik@redhat.com> - 1.001-1
- Specfile autogenerated by cpanspec 1.78.
